{
  "id": "32353559a030071b2fd63113",
  "source": "http",
  "type": "go-type",
  "title": "http.type FileSystem ¶",
  "content": "# type http.type FileSystem ¶\n\n```\ntype FileSystem interface {\n\tOpen(name string) (File, error)\n}\n```\n\nA FileSystem implements access to a collection of named files.\nThe elements in a file path are separated by slash ('/', U+002F)\ncharacters, regardless of host operating system convention.\nSee the FileServer function to convert a FileSystem to a Handler.",
  "url": "https://pkg.go.dev/http#type FileSystem ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/net/http",
    "kind": "type",
    "method_count": 0,
    "package": "http",
    "symbol": "type FileSystem ¶",
    "type_kind": "alias",
    "underlying": "type FileSystem interface {\n\tOpen(name string) (File, error)\n}"
  },
  "hash": "f2e668d7fb4d6938f02ceeead81cf136f02ed65506389c1a49c10a5e04ff04a8",
  "timestamp": "2026-02-19T12:17:17.237621129+01:00"
}